//+------------------------------------------------------------------+
//|                                               Pound_Strategi.mq4 |
//|                   Copyright  2015-2016, assurkov, Alexey Surkov |
//|                                          http://www.assurkov.ru/ |
//+------------------------------------------------------------------+
#property strict
#property copyright "Copyright  2015, www.assurkov.ru, Alexey Surkov"
#property link      "http://www.assurkov.ru/"
#property version     "1.00"
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_width1 1
#property indicator_width2 1





double BuyBuffer[], SellBuffer[];





int init()
   {
   
  


   IndicatorShortName("Pound_Strategi");

   SetIndexBuffer(0,BuyBuffer);
   SetIndexLabel(0,"Buy");
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexArrow(0,241);
   
   SetIndexBuffer(1,SellBuffer);
   SetIndexLabel(1,"Sell");
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexArrow(1,242);
   
   

 
   
   return(0);
   }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
   {
   ArraySetAsSeries(BuyBuffer,true);
   ArraySetAsSeries(SellBuffer,true);

   ArraySetAsSeries(low,true);
   ArraySetAsSeries(high,true);
   

       
              
   
   int limit;
  
   
   limit=Bars-IndicatorCounted();
   for(int i=0; i<limit; i++)
      {
     
      BuyBuffer[i]=EMPTY_VALUE;
      SellBuffer[i]=EMPTY_VALUE;
 


//      
       double EMA144=iMA(NULL,0,144,0,MODE_EMA,PRICE_CLOSE,i);
       double EMA169=iMA(NULL,0,169,0,MODE_EMA,PRICE_CLOSE,i);
       double LWMA144=iMA(NULL,0,144,0,MODE_LWMA,PRICE_WEIGHTED,i);
       double LWMA169=iMA(NULL,0,169,0,MODE_LWMA,PRICE_WEIGHTED,i);
      
      //     
       double MAX=MathMax(MathMax(EMA144,EMA169),MathMax(LWMA144,LWMA169));
       double MIN=MathMin(MathMin(EMA144,EMA169),MathMin(LWMA144,LWMA169));
     
      double ZAKR=iClose(NULL,0,i);//     
 
 //           
       double EMA1441=iMA(NULL,0,144,0,MODE_EMA,PRICE_CLOSE,i+1);
       double EMA1691=iMA(NULL,0,169,0,MODE_EMA,PRICE_CLOSE,i+1);
       double LWMA1441=iMA(NULL,0,144,0,MODE_LWMA,PRICE_WEIGHTED,i+1);
       double LWMA1691=iMA(NULL,0,169,0,MODE_LWMA,PRICE_WEIGHTED,i+1);
      
         //     
       double MAX1=MathMax(MathMax(EMA1441,EMA1691),MathMax(LWMA1441,LWMA1691));
       double MIN1=MathMin(MathMin(EMA144,EMA1691),MathMin(LWMA1441,LWMA1691));
     
      double ZAKR1=iClose(NULL,0,i+1);//     
     
     if(ZAKR>MAX && ZAKR1<MAX1)
        {
         BuyBuffer[i]=Low[i]-iATR(NULL,0,14,i);

        }
      if(ZAKR<MIN && ZAKR1>MIN1  )
        {
         SellBuffer[i]=High[i]+iATR(NULL,0,14,i);

        }
     
     
      }

   
   return(0);
   }
   
