//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                   Copyright  2015-2016, assurkov, Alexey Surkov |
//|                                          http://www.assurkov.ru/ |
//+------------------------------------------------------------------+
#property strict
#property copyright "Copyright  2015-2016, www.assurkov.ru, Alexey Surkov"
#property link      "http://www.assurkov.ru/"
#property version     "1.00"
//----
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_width1 1
#property indicator_width2 1

input int Candle=20;



double BuyBuffer[], SellBuffer[];


int init()
   {
   
  


   IndicatorShortName("1");

   SetIndexBuffer(0,BuyBuffer);
   SetIndexLabel(0,"Buy");
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexArrow(0,241);
   
   SetIndexBuffer(1,SellBuffer);
   SetIndexLabel(1,"Sell");
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexArrow(1,242);
   
   

 
   
   return(0);
   }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
   {
   ArraySetAsSeries(BuyBuffer,true);
   ArraySetAsSeries(SellBuffer,true);

   ArraySetAsSeries(low,true);
   ArraySetAsSeries(high,true);
   

       
              
   
   int limit;
  
   
   limit=Bars-IndicatorCounted();
   for(int i=0; i<limit; i++)
      {
     
      BuyBuffer[i]=EMPTY_VALUE;
      SellBuffer[i]=EMPTY_VALUE;
 


//    
       double MAX20=iHigh("0",0,i+Candle);
      double MIN20=iLow("0",0,i+Candle);
      double ZAKR=iClose("0",0,i);
     
     if(ZAKR>MAX20  )
        {
         BuyBuffer[i]=Low[i]-iATR(NULL,0,14,i);

        }
      if(ZAKR<MIN20 )
        {
         SellBuffer[i]=High[i]+iATR(NULL,0,14,i);

        }
     
     
      }

   
   return(0);
   }
   
